Subject: bug#46493: [feature/pgtk] Low contrast region face

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sun, 14 Feb 2021 12:48:26 +0000

Dmitry Gutov <[email-masked]> writes:

> On 13.02.2021 22:53, Basil L. Contovounesios wrote:
>> Dmitry Gutov <[email-masked]> writes:
>>> That's not a GTK3 build, though, right?
>> configure.ac suggests otherwise:
>>    pgtk )
>>      term_header=pgtkterm.h
>>      with_gtk3=yes
>>      USE_X_TOOLKIT=none
>>    ;;
>> As does the GTK3 seen in the system-configuration-features part of my
>> signature in the OP.
>
> No, I'm talking about your "reference" screenshot.

Ah, yes that would be Lucid.

> You are not comparing pgtk to the GTK3 build, which I think should be the
> reference when discussing it.

That's fair, but my intention wasn't so much a comparison with GTK3 as a
question for how [P]GTK3 should work in Emacs.  Let me know if I should
take this elsewhere.

>>>> Repeat the same on feature/pgtk:
>>>> I understand that each toolkit has its look & feel, and that colour
>>>> perception is subjective, but the default contrast on pgtk strikes me as
>>>> a bit too low for text editing.
>>>
>>> Seems like it uses the same background color as the GTK3 build (the current
>>> one)? And that is probably the color of the window background.
>>>
>>> My current GTK theme has a bit darker windows, so the background color looks
>>> like fine here, FWIW.
>> I don't use a desktop environment, and I'm not really familiar with GTK,
>> but here's my $XDG_CONFIG_HOME/gtk-3.0/settings.ini:
>>    [Settings]
>>    gtk-font-name                     = DejaVu Sans 10
>>    gtk-icon-theme-name               = Adwaita
>>    gtk-recent-files-enabled          = false
>>    gtk-recent-files-limit            = 0
>>    gtk-recent-files-max-age          = 0
>>    gtk-theme-name                    = Adwaita
>
> It's some color within the Adwaita theme, then.

Okay, but what alternatives are there?  I have the following directories
under /usr/share/themes: Adwaita, Adwaita-dark, Default, Emacs,
HighContrast, Raleigh.

Replacing Adwaita with Default, Emacs, or Raleigh in settings.ini makes
no difference.

With Adwaita-dark, I see the following:

And with HighContrast seeing is not believing that the region is active:

Is this entirely a misconfiguration on my end, or can Emacs do better?

Thanks,

-- 
Basil